curl --request GET \
--url https://api.topsort.com/public/v1/media-service/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderBy": [
{}
]
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots"
payload = { "orderBy": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderBy: [{}]})
};
fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"slots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"position": "landing",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"desktop": {
"height": 20,
"width": 20
},
"mobile": {
"height": 10,
"width": 10
}
},
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Homepage",
"url": "https://app.example.com/main",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>"
},
"isActive": true
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Slots
Get slots for a given marketplace.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
The position of the slot.
landing, category_search, category, search The ID of the page. If provided, the slots will be filtered by the page.
Search query to be matched with page url, page name or slot id.
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
Limits the number of records to be returned. The limit can not surpass 50 and its default is 25.
x <= 50Body
Request body containing the orderBy dimensions and directions.
The fields to sort the results by.
Show child attributes
Show child attributes
Response
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Was this page helpful?